Chapter 02

Part 1 環境構築 ~WindowsにShopify-CLIをインストールする~

hiroki
hiroki
2021.12.13に更新
このキャプチャーでは、Windows/MacのPCにShopify-CLIをインストールするまでの工程を解説します。
今までのShopifyのテーマ改修ではTheme Kitが使用されていましたが、Online Store 2.0からShopify-CLIを使用する必要があります。

環境構築

Shopify-CLIをインストールする前に

  • Ruby(バージョン2.7以上)
  • Git

が必要になります。すでにインストールされているのかコマンドプロント/ターミナルで確認してください。不足している場合はインストールします。

確認方法

$ ruby -v
$ git --version

インストールされている場合は、バージョン番号が返ってきます。

$ ruby -v
ruby 3.0.2p107 (2021-07-07 revision 0db68f0233) [x64-mingw32]
$ git --version
git version 2.34.0.windows.1

Ruby Git 入っていない場合(Windows)

Rubyをダウンロードします。

Shopify CLIを使用するためには、前提条件としてRuby2.7以上が必要です。Rubyは以下のリンクからインストールしてください。

https://rubyinstaller.org/downloads/

インストール内容は、標準のままで問題ありません。特別な設定は必要ありませんでした。

Gitをダウンロードします。

Gitもダウンロードしておいてください。

https://gitforwindows.org/

もう一度バージョンのコマンドで確認してみてください。

Shopify-CLIをダウンロードします。

コマンドプロンプトを開き、以下のコマンドを実行します。

RubyGem.orgでインストール(Windows)

$ gem install shopify-cli

インストールに成功していたら、以下のコマンドでバージョンが出るか確認してください。

$ shopify version
2.7.1